/***************************************************************************
 *   Copyright (C) 2009 by QEVEN Team                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 **************************************************************************/
/*
 * req_manager.h
 *
 *  Created on: Oct 17, 2008
 *      Author: wyxknouth
 */

#ifndef REQ_MANAGER_H_
#define REQ_MANAGER_H_

#include <QPixmap>
#include <QSplashScreen>
//#include <QTest>
#include <QMainWindow>
#include <QApplication>
#include <QObject>
#include <QTimer>
#include "main_window.h"

/**
 * @class req_manager
 * Clase para la comprobacion de las aplicaciones necesarias para correr el sistema
 * y la visualiazacion del Splash de inicio
 */


class req_manager : public QObject
{
   Q_OBJECT
    public:
   req_manager(QString MEncoder, QString MPlayer, QObject *parent = 0 );
   virtual ~req_manager();
   bool show( QApplication& );
   void finish( QMainWindow& );
   bool mencoder();
   bool mplayer();
   QString bmencoder;
   QString bmplayer;
   void Wait(int,QApplication&);
    public slots:
   void stopWait();

    private:
   void closeEvent( QCloseEvent * );
   void readSettings();
   void writeSettings();

   QPixmap* iSplash;
   QSplashScreen* m_Splash;
   bool wait;
   QTimer* reloj;


    signals:
   void splash_finished();
};

#endif /* REQ_MANAGER_H_ */
