/***************************************************************************
 *   Copyright (C) 2009 by QEVEN Team                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 **************************************************************************/

#ifndef OPTIONS_GUI_H
#define OPTIONS_GUI_H

#include <QWidget>
#include <QDir>
#include "ui_Options_gui.h"

class Options_GUI : public QWidget,
private Ui::Options_Form
{
   Q_OBJECT

    public:
   Options_GUI( QWidget* parent = 0, Qt::WFlags fl = 0 );
   ~Options_GUI();

   void Initialize( QString fileDir,
                    QString filename,
                    int item_selected,
                    int vbitrate,
                    int abitrate,
                    QString vaspect,
                    bool has_subtitles,
                    QString sub_path,
                    QString sub_font,
                    int sub_scale,
                    int resolution,
                    int owidth,
                    int oheight);

    public slots:
   void Accept_Options();
   void ApplyAll_Options();
   void Check_Subtitles();
   void fuentes();
   void Add_Subtitles();
   void ImportFont();
   void CorrectFont(int);
   void CorrectSB(int);
   void Select_Resolution(int);

    signals:
   /** Esta signal se emite cuando se selecciona Aceptar*/
   void signal_options_changed( const int & item_selected,
                                const int & videobitrate,
                                const int & audiobitrate,
                                const QString & vaspect,
                                const bool & has_subtitles,
                                const QString & subtitles,
                                const QString & subtitle_font,
                                const int & subtitle_scale,
                                const int & resolution,
                                const int & width,
                                const int & height);
   /** Esta signal es emitida al seleccionar la opcion "Aplicar a todos"*/
   void signal_options_applyall(const int & videobitrate,
                                const int & audiobitrate,
                                const QString & vaspect,
                                const QString & subtitle_font,
                                const int & subtitle_scale,
                                const int & resolution,
                                const int & width,
                                const int & height);
   /**esta sennal se emite cuando se presiona el boton de importar fuente*/
   void importarFont(QString);
    private:
   void closeEvent( QCloseEvent */*event*/ );
   void readSettings();
   void writeSettings();

   int m_item_selected;
   QString fileDir;
   QString lastFont;

   int o_width;
   int o_height;

   int cantFUsr;
   int cantFApp;
   int cantFSys;
   QString font_dir;
};

#endif

