/***************************************************************************
 *   Copyright (C) 2009 by QEVEN Team                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 **************************************************************************/

#include "project_gui.h"

Project_GUI::Project_GUI( QWidget *parent ) :
      QDialog( parent )
{
   ui.setupUi( this );
   connect( ui.acceptButton, SIGNAL( clicked() ),
            this, SLOT( select_Project() ) );
   connect(ui.project_ListWidget,SIGNAL(itemDoubleClicked(QListWidgetItem*) ),this,SLOT(select_Project()));
}

Project_GUI::~Project_GUI()
{
}

//------ SLOTS --------
void Project_GUI::select_Project()
{
   switch( ui.project_ListWidget->currentRow() )
   {
        case 0:
      emit signal_selected_project( vcd );
      break;
        case 1:
      emit signal_selected_project( svcd );
      break;
        case 2:
      emit signal_selected_project( dvd );
      break;
        case 3:
      emit signal_selected_project( divx );
      break;
        case 4:
      emit signal_selected_project( xvid );
      break;
        case 5:
      emit signal_selected_project( flv );
      break;
   };

   this->close();
}

void Project_GUI::changeInfo( int index )
{
   if( index != -1 )
   {
      ui.swProjectInfo->setCurrentIndex( index + 1 );
   }
   else
   {
      ui.swProjectInfo->setCurrentIndex( 0 );
   }
}
